import jsYaml from "js-yaml";
import { removeUsesQuotes } from "./removeUsesQuotes.js";
const options = {
  lineWidth: -1,
  noCompatMode: true,
  // https://github.com/nodeca/js-yaml/pull/515
  replacer(_, value) {
    if (typeof value !== "string" || !value.includes("\n		")) {
      return value;
    }
    return value.replaceAll(": |-\n", ": |\n").replaceAll("\n	  			", "").replaceAll(/\n\t\t\t\t\t\t$/g, "");
  },
  sortKeys: true,
  styles: {
    "!!null": "canonical"
  }
};
function formatYaml(value) {
  return removeUsesQuotes(jsYaml.dump(value, options));
}
export {
  formatYaml
};
