import { z } from 'zod';

declare const zContributor: z.ZodObject<{
    avatar_url: z.ZodString;
    contributions: z.ZodArray<z.ZodString, "many">;
    login: z.ZodString;
    name: z.ZodString;
    profile: z.ZodString;
}, "strip", z.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
}, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
}>;
type Contributor = z.infer<typeof zContributor>;
declare const zWorkflowVersion: z.ZodObject<{
    hash: z.ZodOptional<z.ZodString>;
    pinned: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}>;
type WorkflowVersion = z.infer<typeof zWorkflowVersion>;
declare const zWorkflowVersions: z.ZodRecord<z.ZodString, z.ZodObject<{
    hash: z.ZodOptional<z.ZodString>;
    pinned: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}>>;
type WorkflowVersions = z.infer<typeof zWorkflowVersions>;
declare const zWorkflowsVersions: z.ZodRecord<z.ZodString, z.ZodRecord<z.ZodString, z.ZodObject<{
    hash: z.ZodOptional<z.ZodString>;
    pinned: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
}>>>;
type WorkflowsVersions = z.infer<typeof zWorkflowsVersions>;

export { type Contributor, type WorkflowVersion, type WorkflowVersions, type WorkflowsVersions, zContributor, zWorkflowVersion, zWorkflowVersions, zWorkflowsVersions };
