import { z } from "zod";
const zContributor = z.object({
  avatar_url: z.string(),
  contributions: z.array(z.string()),
  login: z.string(),
  name: z.string(),
  profile: z.string()
});
const zWorkflowVersion = z.object({
  hash: z.string().optional(),
  pinned: z.boolean().optional()
});
const zWorkflowVersions = z.record(zWorkflowVersion);
const zWorkflowsVersions = z.record(zWorkflowVersions);
export {
  zContributor,
  zWorkflowVersion,
  zWorkflowVersions,
  zWorkflowsVersions
};
